# __gnu_parallel::multiway_merge_4_variant_sentinel_switch< sentinels, RandomAccessIteratorIterator, RandomAccessIterator3, _DifferenceTp, Comparator > Struct Template Reference

Switch for 4-way merging with sentinels turned off. More...

List of all members.

## Public Member Functions

- RandomAccessIterator3 operator() (RandomAccessIteratorIterator seqs_begin, RandomAccessIteratorIterator seqs_end, RandomAccessIterator3 target, _DifferenceTp length, Comparator comp)

## Detailed Description

### template<bool sentinels, typename RandomAccessIteratorIterator, typename RandomAccessIterator3, typename _DifferenceTp, typename Comparator>
struct __gnu_parallel::multiway_merge_4_variant_sentinel_switch< sentinels, RandomAccessIteratorIterator, RandomAccessIterator3, _DifferenceTp, Comparator >

Switch for 4-way merging with sentinels turned off.

Note that 4-way merging is always stable!

Definition at line 847 of file multiway_merge.h.

The documentation for this struct was generated from the following file:

- multiway_merge.h